if not omni then omni={} end
if not omni.crystal then omni.crystal={} end

require("prototypes.fluids")
require("prototypes.recipes.acids")
require("prototypes.recipes.omniplant")
require("prototypes.buildings.crystal-reactor")
require("prototypes.buildings.omniplant")
require("prototypes.crystals")
require("prototypes.crystal-making")
require("prototypes.recipes.acids")
require("prototypes.categories")
require("prototypes.inserter")
require("prototypes.fuel-category")
require("prototypes.crystal-reactor")
require("prototypes.technology.crystallology")

data:extend({
  {
    type = "custom-input",
    name = "crystal-increase",
    key_sequence = "U",
    consuming = "none"
  },{
    type = "custom-input",
    name = "crystal-decrease",
    key_sequence = "J",
    consuming = "none"
  }
})